# Uses of Class
org.apache.cxf.interceptor.Fault

Packages that use Fault
Package
Description
org.apache.cxf.databinding
org.apache.cxf.databinding.stax
org.apache.cxf.interceptor
org.apache.cxf.service.invoker

- ## Uses of Fault in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding that throw Fault
  Modifier and Type
  Method
  Description
  `Object`
  AbstractWrapperHelper.`createWrapperObject(List<?> lst)`
  `Object`
  WrapperHelper.`createWrapperObject(List<?> lst)`
  `List<Object>`
  AbstractWrapperHelper.`getWrapperParts(Object o)`
  `List<Object>`
  WrapperHelper.`getWrapperParts(Object o)`

- ## Uses of Fault in org.apache.cxf.databinding.stax

  Methods in org.apache.cxf.databinding.stax that throw Fault
  Modifier and Type
  Method
  Description
  `void`
  XMLStreamWriterCallback.`write(XMLStreamWriter writer)`

- ## Uses of Fault in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return Fault
  Modifier and Type
  Method
  Description
  `Fault`
  Fault.`setFaultCode(QName c)`
  Methods in org.apache.cxf.interceptor with parameters of type Fault
  Modifier and Type
  Method
  Description
  `protected void`
  ClientFaultConverter.`processFaultDetail(Fault fault, Message msg)`
  Methods in org.apache.cxf.interceptor that throw Fault
  Modifier and Type
  Method
  Description
  `void`
  Interceptor.`handleMessage(T message)`
  Intercepts a message.

- ## Uses of Fault in org.apache.cxf.service.invoker

  Methods in org.apache.cxf.service.invoker that return Fault
  Modifier and Type
  Method
  Description
  `protected Fault`
  AbstractInvoker.`createFault(Throwable ex, Method m, List<Object> params, boolean checked)`